package savinov_roman_lab_1;

public class ArrayController {


    public  static  int[][] getSortedTwoDimArr(int[][] array)
    {
        int[][] result = array;
        MergeSortThreadLess.mergeSort(result,0,result[0].length-1);
        return result;
    }
    public static int[][] parallelSortedTwoDimArr(int[][] array){
        int[][] result = array;
        MergeSortThreadExecutor.parallelMergeSort(result, 0, result[0].length-1);
        return result;
    }
    public static int[][] secondParallelSortedTwoDimArr(int[][] array){
        int[][] result = array;
        MergeSortForkJoinPool.parallelSort(array);
        return result;
    }
}
